SDL_SetAtomicPointer(3)

NAME
SDL_SetAtomicPointer - Set a pointer to a value atomically.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_SetAtomicPointer(void **a, void *v);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to a pointer.

v   the desired pointer value.

RETURN VALUE
Returns the previous value of the pointer.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CompareAndSwapAtomicPointer(3), •(3), SDL_GetAtomicPointer(3)